티스토리 뷰

os/Linux

do-release-upgrade doesn't work

Jacob_baek 2019. 12. 29. 15:07

Ubuntu 19.04에서 19.10으로 업그레이드를 수행하는 과정중 아래와 같이 업그레이드가 수행되지 않는 경우가 있었다.

jacob@jacob-laptop:~$ sudo do-release-upgrade
Checking for a new Ubuntu release
Please install all available updates for your release before upgrading.

development 버전도 업그레이드가 되지 않았다.

jacob@jacob-laptop:~$ sudo do-release-upgrade -d
Checking for a new Ubuntu release
Upgrades to the development release are only 
available from the latest supported release.

확인해보니 아래와 같이 upgrade가 되지 않은 package가 확인되었고

jacob@jacob-laptop:~$ sudo apt upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  libsnmp30
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.

해당 package를 제거후

jacob@jacob-laptop:~$ sudo apt remove libsnmp30
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following package was automatically installed and is no longer required:
  libgsound0
Use 'sudo apt autoremove' to remove it.
The following packages will be REMOVED:
  colord gnome-control-center hplip libhpmud0 libsane libsane-hpaio libsane1 libsnmp30 printer-driver-hpcups sane-utils simple-scan
0 upgraded, 0 newly installed, 11 to remove and 0 not upgraded.
After this operation, 27.2 MB disk space will be freed.
Do you want to continue? [Y/n] y
...

다시 do-release-upgrade 를 수행시 정상적으로 업그레이드가 수행되었다.

jacob@jacob-laptop:~$ sudo do-release-upgrade
Checking for a new Ubuntu release
Get:1 Upgrade tool signature [1,554 B]                                                                                                                                      
Get:2 Upgrade tool [1,329 kB]                                                                                                                                               
Fetched 1,331 kB in 0s (0 B/s)                                                                                                                                              
authenticate 'eoan.tar.gz' against 'eoan.tar.gz.gpg' 
extracting 'eoan.tar.gz'

Reading cache

Checking package manager
Reading package lists... Done
...

참고사이트

https://askubuntu.com/questions/1085295/error-while-trying-to-upgrade-from-ubuntu-18-04-to-18-10-please-install-all-av/1144391

댓글
댓글쓰기 폼